# fiddledl

A script for downloading fiddles from jsfiddle.net

## Usage

```
$ fiddledl -h
$ fiddledl -n NAME -i FIDDLE_ID -l LAST_REVISION [-f FIRST_REVISION]
```

| Option		| Default	| Required													| Documentation										|
|-----------------------|---------------|---------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------|
| -h			| `N/A`		| No														| Show usage.										|
| -n NAME		| `""`		| No (if not specified, only `FIDDLE_ID` will be used)								| A friendly name to append to the result directory to assist in locating later.	|
| -i FIDDLE_ID		| `""`		| Yes														| The id of the fiddle you want to download.						|
| -l LAST_REVISION	| `null`	| No (if not specified, `FIRST_REVISION` will be ignored and only the "base" revision will be downloaded.	| The last revision of the fiddle you would like to download.				|
| -f FIRST_REVISION	| `1`		| No														| The first revision of the fiddle you would like to download.				|

